Upgrading to 1.2 FAIL - Migrating broke my XF instance!!

JulianD

Well-known member

Rob

Well-known member
I suggest if you need to even ask that you get someone to do this for you.

Auto merging changes is only going to fix 'some' things. There will be some manual donkey work for sure.
 

Deepmartini

Well-known member
So this is definitely a problem with addons? Or could it be something else? My concern is that I see a lot of addons I want to use but worried about blowing up my site. Maybe I'll wait until I upgrade so all the addons can be fixed to work with 1.2 and no bugs found.
 

JulianD

Well-known member
So this is definitely a problem with addons? Or could it be something else? My concern is that I see a lot of addons I want to use but worried about blowing up my site. Maybe I'll wait until I upgrade so all the addons can be fixed to work with 1.2 and no bugs found.
Addons are always a problem when upgrading. That's why it's better to have a test board where you could install everything you want to test and see how it works, what gets broken, look for possible fixes, and so on.
 

Jeremy

Well-known member
You should always test add-ons that aren't clear about supported versions on a test installation to see how they interact.
 
  • Like
Reactions: Rob

Deepmartini

Well-known member
Is there a checklist or some guidance anywhere on upgrading best practices? If you have a site running like 30 addons, I can see having to upgrade each one as it gets changed and that could be upgrades every week. How do people handle all this?
 

Marco Famà

Active member
hey guys,
just wanna tell you how it went:
  • Merged all outdated changes suggested by the ACP tool: all styling problems fixed
  • Disabled Tapatalk: all email notification errors, errors upon new thread creation etc: fixed

Now gonna wait for Tapatalk to be compatible with XF 1.2 and that's it!


Thank you all for your kind support, and take care
Marco
 
Top